/*--------------------------------*- C++ -*----------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     | Website:  https://openfoam.org
    \\  /    A nd           | Version:  8
     \\/     M anipulation  |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    location    "system";
    object      controlDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

application     dsmcFoam;

startFrom       startTime;

startTime       0;

stopAt          endTime;

endTime         1e-3;

deltaT          1e-6;

writeControl    runTime;

writeInterval   1e-4;

purgeWrite      0;

writeFormat     ascii;

writePrecision  10;

writeCompression off;

timeFormat      general;

timePrecision   6;

runTimeModifiable true;

adjustTimeStep  no;

functions
{
    fieldAverage1
    {
        #includeEtc "caseDicts/postProcessing/fields/fieldAverage.cfg"

        fields
        (
            rhoN
            rhoM
            dsmcRhoN
            momentum
            linearKE
            internalE
            iDof
            q
            fD
        );
    }

    dsmcFields1
    {
        type            dsmcFields;
        libs            ("liblagrangianFunctionObjects.so");
        writeControl    writeTime;
    }
}

// ************************************************************************* //
